---
title: WakeLockSentinel.onrelease
slug: Web/API/WakeLockSentinel/onrelease
tags:
  - Event Handler
  - Property
  - Screen Wake Lock API
  - Wake Lock
  - WakeLockSentinel
  - screen
  - screen wake lock
---
<div>{{draft}}{{securecontext_header}}{{DefaultAPISidebar("Screen Wake Lock API")}}</div>

<p class="summary">The <strong><code>onrelease</code></strong> property of the {{domxref("WakeLockSentinel")}} is fired when the sentinel object's handle has been released.</p>

<p>A {{domxref("WakeLockSentinel")}} can be released manually via the release() method, or automatically via the platform wake lock. This can happen if the document becomes inactive or looses visibility, if the device is low on power or the user turns on a power save mode.</p>

<p>This interface inherits from the {{domxref("Event")}} interface.</p>

<p>{{InheritanceDiagram(700, 60, 20)}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">wakeLockSentinel.onrelease = function(event) {...}</pre>

<h2 id="Examples">Examples</h2>

<p>This example updates the UI should the wake lock be released.</p>

<pre class="brush: js notranslate">wakeLock.addEventListener('release', () =&gt; {

  // if wake lock is released alter the UI accordingly

  statusElement.textContent = 'Wake Lock has been released';
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Screen Wake Lock','#the-onrelease-attribute','onrelease')}}</td>
			<td>{{Spec2('Screen Wake Lock')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WakeLockSentinel.onrelease")}}</p>
